function fSeeRandomVesicles(img, fittedImg, vesicles)
% V1. Displays 16 (4x4) 3D-surface plots with random vesicles and fitted
% images as mesh

nVesicles = 16;

if length(vesicles) < nVesicles; nVesicles = length(vesicles); end

randIndex = randperm(length(vesicles), nVesicles);

for i = 1:length(randIndex)
    subplot(4,4,i)
    fSeeVesicle(img, fittedImg, vesicles(randIndex(i)));
    title(strcat('ID=', string(vesicles(randIndex(i)).id),...
        ' (',string(vesicles(randIndex(i)).m),...
        ',', string(vesicles(randIndex(i)).n), ')'));
end